<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTodAccessReq StructType
 * @subpackage Structs
 */
class AddTodAccessReq extends APIRequest
{
    /**
     * The todAccess
     * @var XTodAccess
     */
    public $todAccess;
    /**
     * Constructor method for AddTodAccessReq
     * @uses AddTodAccessReq::setTodAccess()
     * @param XTodAccess $todAccess
     */
    public function __construct(XTodAccess $todAccess = null)
    {
        $this
            ->setTodAccess($todAccess);
    }
    /**
     * Get todAccess value
     * @return XTodAccess|null
     */
    public function getTodAccess()
    {
        return $this->todAccess;
    }
    /**
     * Set todAccess value
     * @param XTodAccess $todAccess
     * @return AddTodAccessReq
     */
    public function setTodAccess(XTodAccess $todAccess = null)
    {
        $this->todAccess = $todAccess;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTodAccessReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
